<?php

namespace App\Generated\V1_1\Messages\Friend;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class FriendApplyMsgOverviewMessage extends Message
{
    use ValueHelper;

    protected $total;
    protected $sendApplies;
    protected $receiveApplies;

    public function requestRules()
    {
        return [
        ];
    }

    public function responseRules()
    {
        return [
            ['total', 'total', 'bail|integer', Constants::INTEGER, null],
            ['sendApplies', 'send_applies', 'bail|integer', Constants::INTEGER, null],
            ['receiveApplies', 'receive_applies', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function setResponse($total, $sendApplies, $receiveApplies)
    {
        $this->total = $total;
        $this->sendApplies = $sendApplies;
        $this->receiveApplies = $receiveApplies;
    }

}
